import request from "@/utils/request";

// 用户收益列表
export const getWallet = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/wallet/getWalletReport",
    method: "get",
    params: query,
  });
};

// 收益明细列表
export const getWalletMx = (query: Record<string, any>) => {
  return request<RespondPageType>({
    url: "/report/wallet/getWalletMx",
    method: "get",
    params: query,
  });
};

// 收益明细合计
export const getWalletMxTotal = (query: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/report/wallet/getWalletMxTotal",
    method: "get",
    params: query,
  });
};

// 收益详情
export const getWalletMxView = (query: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/report/wallet/getWalletMxView",
    method: "get",
    params: query,
  });
};

// 用户查询联想
export const getUserByKeyword = (query: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/report/wallet/getUserByKeyword",
    method: "get",
    params: query,
  });
};

// 用户收益批量解冻
export const batchThawProfit = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/transaction/account/batchThawProfit",
    method: "post",
    data: data,
  });
};
